Summary: Python bindings for KDE.
Name: PyKDE
Version: 3.0alpha2
Release: 1
Copyright: Phil Thompson <phil@river-bank.demon.co.uk>
Packager: Phil Thompson <phil@river-bank.demon.co.uk>
Group: Development/Languages/Python
Source: http://www.river-bank.demon.co.uk/software/%{name}-%{version}.tar.gz
URL: http://www.river-bank.demon.co.uk/software/
BuildRoot: /tmp/%{name}-%{version}-root
Requires: PyQt = 3.0alpha2
Prefix: /usr

%description
Python bindings for the KDE C++ class libraries.

%package devel
Summary: SIP specification files for KDE.
Group: Development/Languages/Python

%description devel
The SIP specification files for the KDE class libraries.

%prep
%setup

%build
./configure --prefix=/usr
make

%install
make DESTDIR=$RPM_BUILD_ROOT install install-sip install-doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /usr/doc/%{name}
%attr(-,root,root) /usr/lib/python2.0/site-packages/kdecore.py
%attr(-,root,root) /usr/lib/python2.0/site-packages/kdecore.pyc
%attr(-,root,root) /usr/lib/python2.0/site-packages/kdeui.py
%attr(-,root,root) /usr/lib/python2.0/site-packages/kdeui.pyc
%attr(-,root,root) /usr/lib/python2.0/site-packages/kfile.py
%attr(-,root,root) /usr/lib/python2.0/site-packages/kfile.pyc
%attr(-,root,root) /usr/lib/python2.0/site-packages/kfm.py
%attr(-,root,root) /usr/lib/python2.0/site-packages/kfm.pyc
%attr(-,root,root) /usr/lib/python2.0/site-packages/khtmlw.py
%attr(-,root,root) /usr/lib/python2.0/site-packages/khtmlw.pyc
%attr(-,root,root) /usr/lib/python2.0/site-packages/kspell.py
%attr(-,root,root) /usr/lib/python2.0/site-packages/kspell.pyc
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkdecorecmodule-3.0alpha2.so
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkdecorecmodule.la
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkdecorecmodule.so
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkdeuicmodule-3.0alpha2.so
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkdeuicmodule.la
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkdeuicmodule.so
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkfilecmodule-3.0alpha2.so
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkfilecmodule.la
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkfilecmodule.so
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkfmcmodule-3.0alpha2.so
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkfmcmodule.la
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkfmcmodule.so
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkhtmlwcmodule-3.0alpha2.so
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkhtmlwcmodule.la
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkhtmlwcmodule.so
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkspellcmodule-3.0alpha2.so
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkspellcmodule.la
%attr(-,root,root) /usr/lib/python2.0/site-packages/libkspellcmodule.so

%files devel
%attr(-,root,root) /usr/share/sip/kde
